
QGIS Application - Bug report #21364

QGIS 3.4 is unable to locate datasources from a project created with version 2.18

2019-02-24 04:16 PM - MRick -

Status: Open

Priority: Normal

Assignee: Alessandro Pasotti

Category: Project Loading/Saving

Affected QGIS version:3.4.4 Regression?: No

Operating System: MacOS 10.14.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29181

Description

I have several projects created with previous version such as version 2.18.

When opening them in QGIS 3.4, QGIS will ask to finds the different files missing, while it doesn't in 2.18.

For big project with a lot of different files it can become very irritating.

But moreover, when locating the files, QGIS will ask again and again were they are. It is never ending and you will have to import

manually all of them one by one losing all the settings from the project…

No problem to open any of them in 2.18, whatever the computer or the OS is. Only QGIS 3.4 will give troubles.

History

#1 - 2019-02-24 04:18 PM - MRick -

- File Capture d’écran 2019-02-23 à 22.41.56.png added

#2 - 2019-02-24 04:19 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Category changed from Data Source Manager to Project Loading/Saving

- Status changed from Open to Feedback

- Assignee deleted (William Kyngesburye)

Please attach a sample project/data.

#3 - 2019-02-24 04:22 PM - MRick -

- File Capture d’écran 2019-02-23 à 22.42.15.png added

- File Capture d’écran 2019-02-23 à 22.42.05.png added

- File Capture d’écran 2019-02-23 à 22.42.09.png added

- File Capture d’écran 2019-02-23 à 22.42.22.png added

#4 - 2019-02-24 04:27 PM - MRick -

Giovanni Manghi wrote:

Please attach a sample project/data.

I don't think it will work because the bug only happen when files are not located at the same place of the project.
#5 - 2019-02-24 08:57 PM - Giovanni Manghi

- Subject changed from QGIS 3.4 is enable tu locate files from a project creates with version 2.18 to QGIS 3.4 is unable to locate datasources from a 

project created with version 2.18

#6 - 2019-02-26 02:02 PM - Alessandro Pasotti

Please attach a minimal sample project and data, and the developer will simulate your scenario by moving/renamig the data folder before loading the

project.

Please make sure to specify all the individual steps and actions required to reproduce the issue, if possible also switch your QGIS language to English to

make sure that we understand precisely all the steps that you are doing.

#7 - 2019-02-26 02:02 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#8 - 2019-03-17 09:28 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.

#9 - 2019-03-17 10:23 PM - MRick -

- File crash log.txt added

- File readXml error.txt added

- Status changed from Closed to Reopened

- File Test.7z added

- File Capture d’écran 2019-03-17 à 21.40.16.png added

- File Capture d’écran 2019-03-17 à 21.36.14.png added

- File Capture d’écran 2019-03-17 à 21.36.14.png added

I made a test file. Hope it will work.

When I open in 3.6, I get the same result.

I localize the files, it cannot find them and they appear in red. Then QGIS displays an XML error and crashes.

Plus, the startup screen remains always on top and it is annoying to handle the windows behind.

#10 - 2019-03-20 12:34 PM - Giovanni Manghi

- Status changed from Reopened to Open

- Resolution deleted (no timely feedback)

Files

Capture d’écran 2019-02-23 à 22.41.56.png 391 KB 2019-02-24 MRick -

Capture d’écran 2019-02-23 à 22.42.05.png 522 KB 2019-02-24 MRick -

Capture d’écran 2019-02-23 à 22.42.09.png 406 KB 2019-02-24 MRick -

Capture d’écran 2019-02-23 à 22.42.15.png 489 KB 2019-02-24 MRick -

Capture d’écran 2019-02-23 à 22.42.22.png 398 KB 2019-02-24 MRick -

Test.7z 3.41 MB 2019-03-17 MRick -

Capture d’écran 2019-03-17 à 21.40.16.png 466 KB 2019-03-17 MRick -

Capture d’écran 2019-03-17 à 21.36.14.png 539 KB 2019-03-17 MRick -
Capture d’écran 2019-03-17 à 21.36.14.png 539 KB 2019-03-17 MRick -

readXml error.txt 2.97 KB 2019-03-17 MRick -

crash log.txt 134 KB 2019-03-17 MRick -
